=== debian/changelog ===
yorick-gl (1.1+cvs20070922+dfsg-7) unstable; urgency=medium

  * Update control (VCS fields, uploader address, debhelper compat...)
  * Bug fix: "FTBFS: slicetree.c:1035:5: error: implicit declaration of
    function ‘YError’ [-Werror=implicit-function-declaration]", thanks to
    Lucas Nussbaum (Closes: #1066537), new patch
    Werror_implicit-function-declaration.
  * Make dh_auto_test a noop.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 02 Aug 2024 07:28:51 +0200

yorick-gl (1.1+cvs20070922+dfsg-6) unstable; urgency=low

  * Update watch to look at github
  * Minimize debian/rules using dh notation
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 15:38:41 +0200

yorick-gl (1.1+cvs20070922+dfsg-5) unstable; urgency=low

  * Amend control to comply with the Debian Science Policy
  * Check against policy 3.9.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 21:34:13 +0200

yorick-gl (1.1+cvs20070922+dfsg-4) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b
    yorick-gl-1.1+cvs20070922+dfsg gave error exit status 2", thanks to
    Mònica Ramírez Arceda (Closes: #652210).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Dec 2011 07:31:21 +0100

yorick-gl (1.1+cvs20070922+dfsg-3) unstable; urgency=low
 
  * Bug fix: "build-depends-on-obsolete-package xlibmesa-gl-dev", thanks
    to Jari Aalto (Closes: #579039).
  * Check angainst policy 3.8.4
  * Move to science section
  * Convert to '3.0 (quilt)' format
  * Bump debhelper compat level to 7
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Apr 2010 14:57:36 +0200

yorick-gl (1.1+cvs20070922+dfsg-2) unstable; urgency=low
 
  * Fix FTBFS when using dpkg-buildpackage -rsudo which prevented
    auto-building on alpha and mipsel. (Closes: #499915).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 23 Sep 2008 18:25:00 +0200

yorick-gl (1.1+cvs20070922+dfsg-1) unstable; urgency=low

  * Ensure DFSG-freeness and move to main from non-free:
    + remove glxWinUtils.c and glxWinUtils.h from .orig.tar.gz
      (those files were not used)
    + modify debian/copyright and debian/control accordingly
    The changes are kept minimal to allow Lenny transition.
  
 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 12 Sep 2008 11:49:41 +0200

yorick-gl (1.1+cvs20070922-4) unstable; urgency=low

  * added missing build-dependency on libxext-dev (Closes: #498503).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 10 Sep 2008 17:45:01 +0200

yorick-gl (1.1+cvs20070922-3) unstable; urgency=low

  * New build. Files were missing in last deb package.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 1 Mar 2008 17:20:21 +0100

yorick-gl (1.1+cvs20070922-2) unstable; urgency=low

  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-gl.{packinfo,keywords}

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 17:20:21 +0100

yorick-gl (1.1+cvs20070922-1) unstable; urgency=low

  * Initial Release. Closes: #366709

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Nov 2007 11:42:06 +0100
