=== debian/control ===
Source: yorick-gl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1), libgl-dev, libxext-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/science-team/yorick-gl.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-gl
Homepage: https://software.llnl.gov/yorick-doc/

Package: yorick-gl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL 3D graphics support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer language
 specialized for numerical and scientific problems).  Yorick-gl adds
 support for OpenGL 3D graphics.
